module Igetui
  class AndroidPusher
    include Singleton

    def self.pusher
      $android_pusher ||=
        IGeTui.pusher(
          Settings.platform_settings.igetui.android['app_id'],
          Settings.platform_settings.igetui.android['app_key'],
          Settings.platform_settings.igetui.android['master_secret']
        )
    end
  end
  
end