require 'json'

file = File.read('config/server.json')
deploy_config = JSON.parse(file)
port deploy_config['http_port']
environment 'production'
workers 2
threads 0, 16
bind "unix://#{deploy_config['deploy_to']}/shared/tmp/sockets/push-puma.sock"
pidfile "#{deploy_config['deploy_to']}/shared/tmp/pids/puma.pid"
state_path "#{deploy_config['deploy_to']}/shared/tmp/pids/puma.state"
stdout_redirect "#{deploy_config['deploy_to']}/current/log/puma_error.log", "#{deploy_config['deploy_to']}/current/log/puma_access.log", true
plugin :tmp_restart
