class ApplicationController < ActionController::Base
  rescue_from StandardError, with: :rescue_all
  include Token

  def rescue_all(e)
    ErrorLog.error(e)
    render json: { code: 500, message: '抱歉~ 系统出错了，攻城狮们已经在修理了！', error: e.class.name.underscore, original_message: e.message  }
  end
end
