module Igetui
  class IosPusher
    include Singleton
    
    def self.pusher
      $android_pusher ||=
        IGeTui.pusher(
          Settings.platform_settings.igetui.ios['app_id'],
          Settings.platform_settings.igetui.ios['app_key'],
          Settings.platform_settings.igetui.ios['master_secret']
        )
    end
  end

end